#!/usr/bin/env python

import sys, os, getopt, string

import ZEO.StorageServer
import asyncore

def main(argv):
    me=argv[0]

    try: 
	opts, args = getopt.getopt(sys.argv[1:], "p:h:s:")
    except getopt.error, exc:
        print exc
        return

    usage="""%s [options]

    where options are:

       -h address -- host address to listen on

       -p port -- port to listen on
    """ % me

    host='localhost'
    port=9672

    for o, v in opts:
        if o=='-p': port=string.atoi(v)
        elif o=='-h': host=v
        elif o=='-s': storage_type=v

    import ZODB.FileStorage
    fs='data.fs'
    storages = {'1' : ZODB.FileStorage.FileStorage(fs)}
    print "Using FileStorage"

    _zeo = ZEO.StorageServer.StorageServer(( host, port), storages)
    print _zeo

    asyncore.loop()

if __name__=='__main__': main(sys.argv)
